php4-gd and xorg7.2

Try to upgrade php4-gd from ports, but still not work icon sad php4 gd and xorg7.2

kongja# portupgrade php4-gd

—>  Upgrading ‘php4-gd-4.4.6′ to ‘php4-gd-4.4.7′ (graphics/php4-gd)
—>  Building ‘/usr/ports/graphics/php4-gd’
===>  Cleaning for php4-4.4.7
===>  Cleaning for autoconf-2.59_2
===>  Cleaning for xorg-libraries-7.2
………………….
………………….
===>  Cleaning for php4-gd-4.4.7
===>  Found saved configuration for php4-gd-4.3.10
===>  Extracting for php4-gd-4.4.7
=> MD5 Checksum OK for php-4.4.7.tar.bz2.
=> SHA256 Checksum OK for php-4.4.7.tar.bz2.
===>  Patching for php4-gd-4.4.7
===>  Applying FreeBSD patches for php4-gd-4.4.7
===>   php4-gd-4.4.7 depends on executable in : phpize – found
===>   php4-gd-4.4.7 depends on file: /usr/local/bin/autoconf259 – found
===>   php4-gd-4.4.7 depends on file: /usr/local/libdata/xorg/libraries – not found
===>    Verifying install for /usr/local/libdata/xorg/libraries in /usr/ports/x11/xorg-libraries
Read /usr/ports/UPDATING for the procedure to upgrade or install xorg 7.2.
*** Error code 1

Stop in /data3/ports/x11/xorg-libraries.
*** Error code 1

Stop in /data3/ports/graphics/php4-gd.
*** Error code 1

Stop in /data3/ports/graphics/php4-gd.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.22190.0 env UPGRADE_TOOL=portupgrade

UPGRADE_PORT=php4-gd-4.4.6 UPGRADE_PORT_VER=4.4.6 make
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
! graphics/php4-gd (php4-gd-4.4.6)      (unknown build error)
—>  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
maybe wrong configuration

kongja# make rmconfig

make: don’t know how to make rmconfig. Stop
what, no rmconfig ?

kongja# cd /var/db/ports

kongja# rm -rf php4-gd

try to avoid xorg , just guessing icon smile php4 gd and xorg7.2

kongja# portupgrade -m WITHOUT_XORG=true php4-gd

—>  Upgrading ‘php4-gd-4.4.6′ to ‘php4-gd-4.4.7′ (graphics/php4-gd)
—>  Building ‘/usr/ports/graphics/php4-gd’ with make flags: WITHOUT_XORG=true
===>  Cleaning for php4-4.4.7
===>  Cleaning for autoconf-2.59_2
===>  Cleaning for xorg-libraries-7.2
===>  Cleaning for freetype2-2.2.1_2
……………………………..
………………………………

Stop in /data3/ports/graphics/php4-gd.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.29068.0 env UPGRADE_TOOL=portupgrade

UPGRADE_PORT=php4-gd-4.4.6 UPGRADE_PORT_VER=4.4.6 make WITHOUT_XORG=true
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
! graphics/php4-gd (php4-gd-4.4.6)      (unknown build error)
—>  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
hahahaha, no WITHOUT_XORG

kongja# portupgrade -m WITHOUT_X11=yes php4-gd

—>  Upgrading ‘php4-gd-4.4.6′ to ‘php4-gd-4.4.7′ (graphics/php4-gd)
—>  Building ‘/usr/ports/graphics/php4-gd’ with make flags: WITHOUT_X11=yes
===>  Cleaning for php4-4.4.7
===>  Cleaning for autoconf-2.59_2
=…………………………..
……………………………

===>  PHPizing for php4-gd-4.4.7
Configuring for:
PHP Api Version:         20020918
Zend Module Api No:      20020429
Zend Extension Api No:   20050606
exec: /usr/local/bin/autom4te259: not found
*** Error code 1

Stop in /data3/ports/graphics/php4-gd.
*** Error code 1

Sigh, I should find other way to upgrade this php4-gd icon smile php4 gd and xorg7.2

3 Comments

  1. make sure autoconf and m4 are installed, this also helps:
    echo WITHOUT_X11=yes >> /etc/make.conf

  2. Yes, I have checked
    kongja# pkg_info | grep auto
    autoconf-2.13.000227_5 Automatically configure source code on many Un*x platforms
    autoconf-2.53_3 Automatically configure source code on many Un*x platforms
    autoconf-2.59_2 Automatically configure source code on many Un*x platforms
    automake-1.5_3,1 GNU Standards-compliant Makefile generator (1.5)
    kongja# pkg_info | grep auto,m4
    kongja# pkg_info | grep m4
    m4-1.4.9 GNU m4

    still not work

Comments are closed.